Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.com
Class Server

    java.lang.Object
      |
      +--weblogic.com.Server

public class Server
extends java.lang.Object

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Server()`

Method Summary
`javax.naming.InitialContext` | `getInitialContext(java.lang.String url)` Returns an initial context based on the URL string
`javax.naming.InitialContext` | `getInitialContext(java.lang.String url, java.lang.String userName, java.lang.String password)` Returns an InitialContext based on the URL and sets up a new userName and password
`T3ServicesDef` | `getT3Services(weblogic.rmi.extensions.Stub stub)` Returns a Remote object for the remote object represented by the stub
`Remote` | `lookup(java.lang.String url)` Returns an Remote object based on the URL string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Server

    public Server()

Method Detail

### getInitialContext

    public javax.naming.InitialContext getInitialContext(java.lang.String url)
                                                  throws javax.naming.NamingException

  Returns an initial context based on the URL string

  Parameters:
    `url` - The scheme, hostname, and port. For example, `t3://localhost:7001`
  Returns:
    InitialContext
  Throws:
    javax.naming.NamingException - if there is an error

### getInitialContext

    public javax.naming.InitialContext getInitialContext(java.lang.String url,
                                                         java.lang.String userName,
                                                         java.lang.String password)
                                                  throws javax.naming.NamingException

  Returns an InitialContext based on the URL and sets up a new userName and password

  Parameters:
    `url` - The scheme, hostname, and port. For example, `t3://localhost:7001`
    `userName` - User name
    `password` - Password
  Returns:
    InitialContext
  Throws:
    javax.naming.NamingException - if there is an error

### lookup

    public Remote lookup(java.lang.String url)
                  throws NotBoundException,
                         java.net.MalformedURLException,
                         java.net.UnknownHostException,
                         RemoteException

  Returns an Remote object based on the URL string

  Parameters:
    `url` - The scheme, hostname, and port. For example, `t3://localhost:7001`
  Returns:
    Remote
  Throws:
    NotBoundException - if there is an error
    java.net.MalformedURLException - if there is an error
    java.net.UnknownHostException - if there is an error
    RemoteException - if there is an error

### getT3Services

    public T3ServicesDef getT3Services(weblogic.rmi.extensions.Stub stub)

  Returns a Remote object for the remote object represented by the stub

  Parameters:
    `stub` - weblogic.rmi.extensions.Stub object
  Returns:
    T3ServicesDef

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD